#
# spec file for package python-unittest-xml-reporting
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python-unittest-xml-reporting
Version:        1.12.0
Release:        5.2
Url:            http://github.com/danielfm/unittest-xml-reporting/tree/master/
Summary:        PyUnit-based test runner with JUnit like XML reporting
License:        LGPL-3.0+
Group:          Development/Languages/Python
Source:         http://pypi.python.org/packages/source/u/unittest-xml-reporting/unittest-xml-reporting-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  python-devel
BuildRequires:  python-setuptools
BuildRequires:  python-six >= 1.4.0
Requires:       python-six >= 1.4.0
%if 0%{?suse_version} && 0%{?suse_version} <= 1110
BuildRequires:  python-unittest2
Requires:       python-unittest2
%{!?python_sitelib: %global python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%else
BuildArch:      noarch
%endif

%description
unittest-xml-reporting is a unittest test runner that can save test results
to XML files that can be consumed by a wide range of tools, such as build
systems, IDEs and continuous integration servers.

%prep
%setup -q -n unittest-xml-reporting-%{version}

%build
python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}

%check
python setup.py -q test

%files
%defattr(-,root,root,-)
%{python_sitelib}/*

%changelog
* Thu May 14 2015 benoit.monin@gmx.fr
- update to version 1.12.0:
  * no changelog available
- remove python-xml from requirement
- add new dependency python-six
- add new dependency python-unittest2 for SLE11
- remove sed call on testsuite.py: not needed anymore
- remove LICENSE and README.markdown: not provided anymore
* Fri Nov 15 2013 p.drouand@gmail.com
- Update to version 1.7.0
  + No changelog available
* Thu Oct 24 2013 speilicke@suse.com
- Require python-setuptools instead of distribute (upstreams merged)
* Mon Jan 14 2013 p.drouand@gmail.com
- Initial python3 support
* Mon Jan 14 2013 p.drouand@gmail.com
- Update to 1.4.3 version:
  * fix indentation problem
- Update to 1.4 version:
  * Refactor Django test runner to clean up imports
  * Allow bool values in TEST_OUTPUT_VERBOSE for backwards-compatibility
  * Fix Django test runner for renamed XMLTestRunner constructor parameter
  * Fixed syntax error on classifiers section.
  * Added support for Python 3.
  * Renamed constructor parameter to make it compatible with the one used
    in unittest.TextTestRunner.
* Thu Sep  8 2011 saschpe@suse.de
- Added requirement for python-xml
* Thu Sep  8 2011 saschpe@suse.de
- Initial version
